Subject: Re: Problem with Xilinx Uart Lite

From: Andrei Konovalov <[email-masked]>
Date: Thu, 29 Jun 2006 19:32:47 +0400

Qichen Huang wrote:
> Hi all,
> 
> I'm trying to port linuxppc_2_4_devel to Xilinx ML403. I want to use 
> UartLite instead of Uart 16550. What changes should I do?
> 
> I have disabled "Standard/generic (8250/16550 and compatible UARTs) 
> serial support"
> and enabled "Xilinx UART Lite" & "Console on UART Lite port" in 
> character devices.
> And the initial kernel command string is changed to "console=ttl0 
> console=ttyS0,9600 ip=off root=/dev/xsysace/disc0/part3 rw".

This command line sets default console to ttyS0.
Please remove "console=ttyS0,9600".

> The kernel boot log dosen't mention any serial device and it hangs up 
> until "System started." There is no login prompt.

Are you using the correct xparameters_*.h - the one having the
#defines for UartLite?

> My /etc/inittab is :
> 
> ::sysinit:/etc/init.d/rcS
> #::askfirst:-/bin/sh
> ::ctrlaltdel:/sbin/reboot
> ::shutdown:/sbin/swapoff -a
> ::shutdown:/bin/umount -a -r
> ::restart:/sbin/init
> ::respawn:/sbin/getty 9600 tts/0
> 
> 
> What else should I do?
> Thank you!
> 
> Qichen
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded